source: projects/vine-desktop-guide/trunk/Makefile.in @ 2902

Revision 2902, 20.4 KB checked in by yasumichi, 13 years ago (diff)

SPECファイルの雛形を準備

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-desktop-guide.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-desktop-guide.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CYGPATH_W = @CYGPATH_W@
108DEFS = @DEFS@
109ECHO_C = @ECHO_C@
110ECHO_N = @ECHO_N@
111ECHO_T = @ECHO_T@
112INSTALL = @INSTALL@
113INSTALL_DATA = @INSTALL_DATA@
114INSTALL_PROGRAM = @INSTALL_PROGRAM@
115INSTALL_SCRIPT = @INSTALL_SCRIPT@
116INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
117LIBOBJS = @LIBOBJS@
118LIBS = @LIBS@
119LTLIBOBJS = @LTLIBOBJS@
120MAKEINFO = @MAKEINFO@
121MKDIR_P = @MKDIR_P@
122OMFDIR = @OMFDIR@
123PACKAGE = @PACKAGE@
124PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
125PACKAGE_NAME = @PACKAGE_NAME@
126PACKAGE_STRING = @PACKAGE_STRING@
127PACKAGE_TARNAME = @PACKAGE_TARNAME@
128PACKAGE_URL = @PACKAGE_URL@
129PACKAGE_VERSION = @PACKAGE_VERSION@
130PATH_SEPARATOR = @PATH_SEPARATOR@
131PKG_CONFIG = @PKG_CONFIG@
132PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
133PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
134SET_MAKE = @SET_MAKE@
135SHELL = @SHELL@
136STRIP = @STRIP@
137VERSION = @VERSION@
138VMDIR = @VMDIR@
139abs_builddir = @abs_builddir@
140abs_srcdir = @abs_srcdir@
141abs_top_builddir = @abs_top_builddir@
142abs_top_srcdir = @abs_top_srcdir@
143am__leading_dot = @am__leading_dot@
144am__tar = @am__tar@
145am__untar = @am__untar@
146bindir = @bindir@
147build_alias = @build_alias@
148builddir = @builddir@
149datadir = @datadir@
150datarootdir = @datarootdir@
151docdir = @docdir@
152dvidir = @dvidir@
153exec_prefix = @exec_prefix@
154host_alias = @host_alias@
155htmldir = @htmldir@
156includedir = @includedir@
157infodir = @infodir@
158install_sh = @install_sh@
159libdir = @libdir@
160libexecdir = @libexecdir@
161localedir = @localedir@
162localstatedir = @localstatedir@
163mandir = @mandir@
164mkdir_p = @mkdir_p@
165oldincludedir = @oldincludedir@
166pdfdir = @pdfdir@
167prefix = @prefix@
168program_transform_name = @program_transform_name@
169psdir = @psdir@
170sbindir = @sbindir@
171sharedstatedir = @sharedstatedir@
172srcdir = @srcdir@
173sysconfdir = @sysconfdir@
174target_alias = @target_alias@
175top_build_prefix = @top_build_prefix@
176top_builddir = @top_builddir@
177top_srcdir = @top_srcdir@
178SUBDIRS = help
179all: all-recursive
180
181.SUFFIXES:
182am--refresh:
183        @:
184$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
185        @for dep in $?; do \
186          case '$(am__configure_deps)' in \
187            *$$dep*) \
188              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
189              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
190                && exit 0; \
191              exit 1;; \
192          esac; \
193        done; \
194        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
195        $(am__cd) $(top_srcdir) && \
196          $(AUTOMAKE) --gnu Makefile
197.PRECIOUS: Makefile
198Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
199        @case '$?' in \
200          *config.status*) \
201            echo ' $(SHELL) ./config.status'; \
202            $(SHELL) ./config.status;; \
203          *) \
204            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
205            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
206        esac;
207
208$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
209        $(SHELL) ./config.status --recheck
210
211$(top_srcdir)/configure:  $(am__configure_deps)
212        $(am__cd) $(srcdir) && $(AUTOCONF)
213$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
214        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
215$(am__aclocal_m4_deps):
216vine-desktop-guide.spec: $(top_builddir)/config.status $(srcdir)/vine-desktop-guide.spec.in
217        cd $(top_builddir) && $(SHELL) ./config.status $@
218
219# This directory's subdirectories are mostly independent; you can cd
220# into them and run `make' without going through this Makefile.
221# To change the values of `make' variables: instead of editing Makefiles,
222# (1) if the variable is set in `config.status', edit `config.status'
223#     (which will cause the Makefiles to be regenerated when you run `make');
224# (2) otherwise, pass the desired values on the `make' command line.
225$(RECURSIVE_TARGETS):
226        @fail= failcom='exit 1'; \
227        for f in x $$MAKEFLAGS; do \
228          case $$f in \
229            *=* | --[!k]*);; \
230            *k*) failcom='fail=yes';; \
231          esac; \
232        done; \
233        dot_seen=no; \
234        target=`echo $@ | sed s/-recursive//`; \
235        list='$(SUBDIRS)'; for subdir in $$list; do \
236          echo "Making $$target in $$subdir"; \
237          if test "$$subdir" = "."; then \
238            dot_seen=yes; \
239            local_target="$$target-am"; \
240          else \
241            local_target="$$target"; \
242          fi; \
243          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
244          || eval $$failcom; \
245        done; \
246        if test "$$dot_seen" = "no"; then \
247          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
248        fi; test -z "$$fail"
249
250$(RECURSIVE_CLEAN_TARGETS):
251        @fail= failcom='exit 1'; \
252        for f in x $$MAKEFLAGS; do \
253          case $$f in \
254            *=* | --[!k]*);; \
255            *k*) failcom='fail=yes';; \
256          esac; \
257        done; \
258        dot_seen=no; \
259        case "$@" in \
260          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
261          *) list='$(SUBDIRS)' ;; \
262        esac; \
263        rev=''; for subdir in $$list; do \
264          if test "$$subdir" = "."; then :; else \
265            rev="$$subdir $$rev"; \
266          fi; \
267        done; \
268        rev="$$rev ."; \
269        target=`echo $@ | sed s/-recursive//`; \
270        for subdir in $$rev; do \
271          echo "Making $$target in $$subdir"; \
272          if test "$$subdir" = "."; then \
273            local_target="$$target-am"; \
274          else \
275            local_target="$$target"; \
276          fi; \
277          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
278          || eval $$failcom; \
279        done && test -z "$$fail"
280tags-recursive:
281        list='$(SUBDIRS)'; for subdir in $$list; do \
282          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
283        done
284ctags-recursive:
285        list='$(SUBDIRS)'; for subdir in $$list; do \
286          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
287        done
288
289ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
290        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
291        unique=`for i in $$list; do \
292            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
293          done | \
294          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
295              END { if (nonempty) { for (i in files) print i; }; }'`; \
296        mkid -fID $$unique
297tags: TAGS
298
299TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
300                $(TAGS_FILES) $(LISP)
301        set x; \
302        here=`pwd`; \
303        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
304          include_option=--etags-include; \
305          empty_fix=.; \
306        else \
307          include_option=--include; \
308          empty_fix=; \
309        fi; \
310        list='$(SUBDIRS)'; for subdir in $$list; do \
311          if test "$$subdir" = .; then :; else \
312            test ! -f $$subdir/TAGS || \
313              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
314          fi; \
315        done; \
316        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
317        unique=`for i in $$list; do \
318            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
319          done | \
320          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
321              END { if (nonempty) { for (i in files) print i; }; }'`; \
322        shift; \
323        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
324          test -n "$$unique" || unique=$$empty_fix; \
325          if test $$# -gt 0; then \
326            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
327              "$$@" $$unique; \
328          else \
329            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
330              $$unique; \
331          fi; \
332        fi
333ctags: CTAGS
334CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
335                $(TAGS_FILES) $(LISP)
336        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
337        unique=`for i in $$list; do \
338            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
339          done | \
340          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
341              END { if (nonempty) { for (i in files) print i; }; }'`; \
342        test -z "$(CTAGS_ARGS)$$unique" \
343          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
344             $$unique
345
346GTAGS:
347        here=`$(am__cd) $(top_builddir) && pwd` \
348          && $(am__cd) $(top_srcdir) \
349          && gtags -i $(GTAGS_ARGS) "$$here"
350
351distclean-tags:
352        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
353
354distdir: $(DISTFILES)
355        $(am__remove_distdir)
356        test -d "$(distdir)" || mkdir "$(distdir)"
357        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
358        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
359        list='$(DISTFILES)'; \
360          dist_files=`for file in $$list; do echo $$file; done | \
361          sed -e "s|^$$srcdirstrip/||;t" \
362              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
363        case $$dist_files in \
364          */*) $(MKDIR_P) `echo "$$dist_files" | \
365                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
366                           sort -u` ;; \
367        esac; \
368        for file in $$dist_files; do \
369          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
370          if test -d $$d/$$file; then \
371            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
372            if test -d "$(distdir)/$$file"; then \
373              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
374            fi; \
375            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
376              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
377              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
378            fi; \
379            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
380          else \
381            test -f "$(distdir)/$$file" \
382            || cp -p $$d/$$file "$(distdir)/$$file" \
383            || exit 1; \
384          fi; \
385        done
386        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
387          if test "$$subdir" = .; then :; else \
388            test -d "$(distdir)/$$subdir" \
389            || $(MKDIR_P) "$(distdir)/$$subdir" \
390            || exit 1; \
391          fi; \
392        done
393        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
394          if test "$$subdir" = .; then :; else \
395            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
396            $(am__relativize); \
397            new_distdir=$$reldir; \
398            dir1=$$subdir; dir2="$(top_distdir)"; \
399            $(am__relativize); \
400            new_top_distdir=$$reldir; \
401            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
402            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
403            ($(am__cd) $$subdir && \
404              $(MAKE) $(AM_MAKEFLAGS) \
405                top_distdir="$$new_top_distdir" \
406                distdir="$$new_distdir" \
407                am__remove_distdir=: \
408                am__skip_length_check=: \
409                am__skip_mode_fix=: \
410                distdir) \
411              || exit 1; \
412          fi; \
413        done
414        -test -n "$(am__skip_mode_fix)" \
415        || find "$(distdir)" -type d ! -perm -755 \
416                -exec chmod u+rwx,go+rx {} \; -o \
417          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
418          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
419          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
420        || chmod -R a+r "$(distdir)"
421dist-gzip: distdir
422        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
423        $(am__remove_distdir)
424dist-bzip2: distdir
425        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
426        $(am__remove_distdir)
427
428dist-lzma: distdir
429        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
430        $(am__remove_distdir)
431
432dist-xz: distdir
433        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
434        $(am__remove_distdir)
435
436dist-tarZ: distdir
437        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
438        $(am__remove_distdir)
439
440dist-shar: distdir
441        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
442        $(am__remove_distdir)
443
444dist-zip: distdir
445        -rm -f $(distdir).zip
446        zip -rq $(distdir).zip $(distdir)
447        $(am__remove_distdir)
448
449dist dist-all: distdir
450        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
451        $(am__remove_distdir)
452
453# This target untars the dist file and tries a VPATH configuration.  Then
454# it guarantees that the distribution is self-contained by making another
455# tarfile.
456distcheck: dist
457        case '$(DIST_ARCHIVES)' in \
458        *.tar.gz*) \
459          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
460        *.tar.bz2*) \
461          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
462        *.tar.lzma*) \
463          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
464        *.tar.xz*) \
465          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
466        *.tar.Z*) \
467          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
468        *.shar.gz*) \
469          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
470        *.zip*) \
471          unzip $(distdir).zip ;;\
472        esac
473        chmod -R a-w $(distdir); chmod a+w $(distdir)
474        mkdir $(distdir)/_build
475        mkdir $(distdir)/_inst
476        chmod a-w $(distdir)
477        test -d $(distdir)/_build || exit 0; \
478        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
479          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
480          && am__cwd=`pwd` \
481          && $(am__cd) $(distdir)/_build \
482          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
483            $(DISTCHECK_CONFIGURE_FLAGS) \
484          && $(MAKE) $(AM_MAKEFLAGS) \
485          && $(MAKE) $(AM_MAKEFLAGS) dvi \
486          && $(MAKE) $(AM_MAKEFLAGS) check \
487          && $(MAKE) $(AM_MAKEFLAGS) install \
488          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
489          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
490          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
491                distuninstallcheck \
492          && chmod -R a-w "$$dc_install_base" \
493          && ({ \
494               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
495               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
496               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
497               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
498                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
499              } || { rm -rf "$$dc_destdir"; exit 1; }) \
500          && rm -rf "$$dc_destdir" \
501          && $(MAKE) $(AM_MAKEFLAGS) dist \
502          && rm -rf $(DIST_ARCHIVES) \
503          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
504          && cd "$$am__cwd" \
505          || exit 1
506        $(am__remove_distdir)
507        @(echo "$(distdir) archives ready for distribution: "; \
508          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
509          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
510distuninstallcheck:
511        @$(am__cd) '$(distuninstallcheck_dir)' \
512        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
513           || { echo "ERROR: files left after uninstall:" ; \
514                if test -n "$(DESTDIR)"; then \
515                  echo "  (check DESTDIR support)"; \
516                fi ; \
517                $(distuninstallcheck_listfiles) ; \
518                exit 1; } >&2
519distcleancheck: distclean
520        @if test '$(srcdir)' = . ; then \
521          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
522          exit 1 ; \
523        fi
524        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
525          || { echo "ERROR: files left in build directory after distclean:" ; \
526               $(distcleancheck_listfiles) ; \
527               exit 1; } >&2
528check-am: all-am
529check: check-recursive
530all-am: Makefile
531installdirs: installdirs-recursive
532installdirs-am:
533install: install-recursive
534install-exec: install-exec-recursive
535install-data: install-data-recursive
536uninstall: uninstall-recursive
537
538install-am: all-am
539        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
540
541installcheck: installcheck-recursive
542install-strip:
543        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
544          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
545          `test -z '$(STRIP)' || \
546            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
547mostlyclean-generic:
548
549clean-generic:
550
551distclean-generic:
552        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
553        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
554
555maintainer-clean-generic:
556        @echo "This command is intended for maintainers to use"
557        @echo "it deletes files that may require special tools to rebuild."
558clean: clean-recursive
559
560clean-am: clean-generic mostlyclean-am
561
562distclean: distclean-recursive
563        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
564        -rm -f Makefile
565distclean-am: clean-am distclean-generic distclean-tags
566
567dvi: dvi-recursive
568
569dvi-am:
570
571html: html-recursive
572
573html-am:
574
575info: info-recursive
576
577info-am:
578
579install-data-am:
580
581install-dvi: install-dvi-recursive
582
583install-dvi-am:
584
585install-exec-am:
586
587install-html: install-html-recursive
588
589install-html-am:
590
591install-info: install-info-recursive
592
593install-info-am:
594
595install-man:
596
597install-pdf: install-pdf-recursive
598
599install-pdf-am:
600
601install-ps: install-ps-recursive
602
603install-ps-am:
604
605installcheck-am:
606
607maintainer-clean: maintainer-clean-recursive
608        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
609        -rm -rf $(top_srcdir)/autom4te.cache
610        -rm -f Makefile
611maintainer-clean-am: distclean-am maintainer-clean-generic
612
613mostlyclean: mostlyclean-recursive
614
615mostlyclean-am: mostlyclean-generic
616
617pdf: pdf-recursive
618
619pdf-am:
620
621ps: ps-recursive
622
623ps-am:
624
625uninstall-am:
626
627.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
628        install-am install-strip tags-recursive
629
630.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
631        all all-am am--refresh check check-am clean clean-generic \
632        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
633        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
634        distclean distclean-generic distclean-tags distcleancheck \
635        distdir distuninstallcheck dvi dvi-am html html-am info \
636        info-am install install-am install-data install-data-am \
637        install-dvi install-dvi-am install-exec install-exec-am \
638        install-html install-html-am install-info install-info-am \
639        install-man install-pdf install-pdf-am install-ps \
640        install-ps-am install-strip installcheck installcheck-am \
641        installdirs installdirs-am maintainer-clean \
642        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
643        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
644
645
646# Tell versions [3.59,3.63) of GNU make to not export all variables.
647# Otherwise a system limit (for SysV at least) may be exceeded.
648.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.